camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charles Moulliard <cmoulli...@gmail.com>
Subject Re: Spring 3.0.0 supports in Camel
Date Wed, 23 Dec 2009 12:22:55 GMT
Willem,

camel-bindy uses spring java config for its unit tests !!!!

Regards,

Charles Moulliard
Senior Enterprise Architect
Apache Camel Committer

*****************************
blog : http://cmoulliard.blogspot.com
twitter : http://twitter.com/cmoulliard
Linkedlin : http://www.linkedin.com/in/charlesmoulliard

Apache Camel Group :
http://www.linkedin.com/groups?home=&gid=2447439&trk=anet_ug_hm


On Wed, Dec 23, 2009 at 1:06 PM, Willem Jiang <willem.jiang@gmail.com>wrote:

> I think there is few people using the spring 2.5 java config,
> and Spring Source doesn't maintain the Spring Java config any more (last
> Spring java config milestone release is about one years ago).
> So it should be OK to upgrade camel-spring-configure to use Spring 3.0.0.
>
> Currently , camel trunk is using spring 2.5.6 by default.
> When I finished the camel-spring-configure upgrade we can make camel trunk
> to use spring 3.0.0 by default.
>
> Willem
>
>
>
> Gert Vanthienen wrote:
>
>> L.S.,
>>
>> Do we need to maintain support for spring 2.5 java config in Camel
>> trunk?  Wouldn't it make more sense to migrate trunk to Spring 3.0
>> entirely and stick to 2.5 for one or more branches?  I agree we should
>> try to make sure that Camel trunk works with 2.5 as much as possible,
>> but I don't think there would be a real issue in telling the
>> camel-spring-javaconfig users that this requires Spring 3 (for Camel
>> 2.2 and above).
>>
>> Regards,
>>
>> Gert Vanthienen
>> ------------------------
>> Open Source SOA: http://fusesource.com
>> Blog: http://gertvanthienen.blogspot.com/
>>
>>
>>
>> 2009/12/23 Willem Jiang <willem.jiang@gmail.com>:
>>
>>> Just a quick updated, I managed to get ride of most failed tests in
>>> camel-spring and camel-jms by some simple fix.
>>>
>>> The issue for camel-spring is caused by CamelEndpointFactory, and the
>>> issue
>>> of camel-jms is the default JMS listenContainer doesn't seem to autostart
>>> by
>>> default anymore.
>>>
>>> Now there is the camel-spring-configure issue, I will create a JIRA for
>>> it.
>>>
>>> Willem
>>>
>>> Claus Ibsen wrote:
>>>
>>>> Good start.
>>>>
>>>> Dejan created a ticket in AMQ to get it working with Spring 3.0.
>>>>
>>>> And I think camel-jms depends on some API in 2.5 that was @deprecated.
>>>> So we should take a 2nd look and mark it public as @deprecated as well
>>>> in Camel 2.2.
>>>>
>>>>
>>>> On Tue, Dec 22, 2009 at 3:36 PM, Willem Jiang <willem.jiang@gmail.com>
>>>> wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> I just committed a spring-3.0 profile in trunk/parent/pom.xml.
>>>>> You can build the camel with spring 3.0.0 by using -Pspring-3.0
>>>>> I just run some test in camel-core , camel-spring and camel-jms.
>>>>> There about 4~5 tests are failed in camel-spring, and lots of tests
>>>>> failed
>>>>> in camel-jms.
>>>>>
>>>>> For the camel-spring-configure, as the spring java configure is a part
>>>>> of
>>>>> spring framework, lots changes there, we need to do change the
>>>>> camel-spring-configure code.
>>>>> So we can't support spring 3.0 and spring 2.x at the same time in
>>>>> camel-spring-configure.
>>>>>
>>>>>  Yeah but Spring 3.0 have java config build in, so I think we may need
>>>> a new component to support spring 3.0 and keep the one for 2.5.
>>>>
>>>>  For camel-spring-integration, it can run with spring 3.0 and spring 2.x
>>>>> and
>>>>> the same time.
>>>>>
>>>>> Any thought?
>>>>>
>>>>
>>>>  Willem
>>>>>
>>>>>
>>>>
>>>>
>>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message